#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int br=0;
    double x,y,z,p,q,r;
    long long n,m;
    cin>>p>>q>>r>>n>>m;
    x=p*q+q*r+p*r;
    y=p*q*r;
    z=ceil(3/(1-(x/y)));
    if(z>=m){
        for(double i=n;i<=m;i++){
            double a=i/p,b=i/q,c=i/r;
            if(ceil(a)+ceil(b)+ceil(c)<=i)
                br++;
        }
        cout<<br;
    }
    else if(z<=m && z>=n){
        for(double i=n;i<z;i++){
            double a=i/p,b=i/q,c=i/r;
            if(ceil(a)+ceil(b)+ceil(c)<=i)
                br++;
        }
    cout<<m-z+br+1;
    }
    else{
        cout<<m-n+1;
    }
    return 0;
}